package com.kingdee.eas.custom.integration.feishu;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class FeishuApprovalGroupCollection extends AbstractObjectCollection 
{
    public FeishuApprovalGroupCollection()
    {
        super(FeishuApprovalGroupInfo.class);
    }
    public boolean add(FeishuApprovalGroupInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(FeishuApprovalGroupCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(FeishuApprovalGroupInfo item)
    {
        return removeObject(item);
    }
    public FeishuApprovalGroupInfo get(int index)
    {
        return(FeishuApprovalGroupInfo)getObject(index);
    }
    public FeishuApprovalGroupInfo get(Object key)
    {
        return(FeishuApprovalGroupInfo)getObject(key);
    }
    public void set(int index, FeishuApprovalGroupInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(FeishuApprovalGroupInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(FeishuApprovalGroupInfo item)
    {
        return super.indexOf(item);
    }
}